=== debian/changelog ===
cura (2.5.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Initial Debian release. Closes: #706656

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 09:08:37 +0000
