=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 python3-all,
 uranium-tools (>=2.5.0),
 gettext
Standards-Version: 4.1.1
X-Python3-Version: >= 3.4
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git

Package: cura
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-serial,
 python3-pyqt5, python3-pyqt5.qtopengl,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls,
 qml-module-qtquick-dialogs,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 fonts-open-sans,
 python3-uranium (>=2.5.0), uranium-plugins (>=2.5.0), cura-engine (>=1:2.5.0),
 python3-savitar (>=2.6.0)
Recommends: python3-zeroconf, fdm-materials (>=2.5.0)
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Cura is easy to use for novices and provide over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provide a graphical user interface.  For batch mode, check out
 cura-engine.
