=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Gregor Riepl <onitake@gmail.com>
 Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
  python3-all,
- uranium-tools (>=2.5.0),
+ uranium-tools (>=3.0.3), python3-uranium (>=3.0.3),
  gettext
 Standards-Version: 4.1.1
 X-Python3-Version: >= 3.4
@@ -24,9 +24,9 @@
  qml-module-qt-labs-folderlistmodel,
  qml-module-qt-labs-settings,
  fonts-open-sans,
- python3-uranium (>=2.5.0), uranium-plugins (>=2.5.0), cura-engine (>=1:2.5.0),
- python3-savitar (>=2.6.0)
-Recommends: python3-zeroconf, fdm-materials (>=2.5.0)
+ python3-uranium (>=3.0.3), uranium-plugins (>=3.0.3), cura-engine (>=1:3.0.3),
+ python3-savitar (>=3.0.3)
+Recommends: python3-zeroconf, fdm-materials (>=3.0.3)
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers
