=== debian/changelog ===
cura (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Fri, 19 Jan 2018 19:40:35 +0100

cura (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Add missing build-dependency on python3-pytest
  * Make sure tests run with an existing HOME directory

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 17 Dec 2017 20:42:21 +0100
