=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: cmake (>=2.8.12),
               debhelper (>= 10),
               dh-python,
               gettext,
               python3-all,
               python3-pytest,
               python3-uranium (>=3.1.0),
               uranium-tools (>=3.1.0)
Standards-Version: 4.1.3
X-Python3-Version: >= 3.5
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git

Package: cura
Architecture: all
Depends: cura-engine (>=1:3.1.0),
         fonts-open-sans,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-savitar (>=3.1.0),
         python3-serial,
         python3-uranium (>=3.1.0),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         uranium-plugins (>=3.1.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: fdm-materials (>=3.1.0), python3-zeroconf
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Cura is easy to use for novices and provide over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provide a graphical user interface.  For batch mode, check out
 cura-engine.
