=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 	# Leftovers from pytest
 	rm -rf .cache
 	find -name __pycache__ -print0 | xargs -0 rm -rf
+
+override_dh_auto_test:
+	tmpdir=$(mktemp -d); HOME=$$tmpdir dh_auto_test; rm -rf $$tmpdir
