## cura 3.3.1

=== debian/changelog ===
cura (3.3.1-2) unstable; urgency=medium

  * Added missing dependency: qml-module-qtquick-controls2.
    Closes: #903463

 -- Gregor Riepl <onitake@gmail.com>  Wed, 11 Jul 2018 20:46:10 +0200

cura (3.3.1-1) unstable; urgency=medium

  * New upstream release 3.3.1.
    Closes: #898568
  * Migrated to salsa
  * Users are now asked for explicit constent to telemetry.
    Closes: #884709
  * fdm-materials was turned into a required dependency to avoid
    crashes. Closes: #894190

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:13:45 +0200

cura (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa
  * Fixed appstream XML

 -- Gregor Riepl <onitake@gmail.com>  Sun, 17 Jun 2018 18:41:14 +0200

cura (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Cura now asks if anonymous slicing data should be collected.
    Closes: #884709
  * Made fdm-materials a required dependency to avoid crash on startup.
    Closes: #894190

 -- Gregor Riepl <onitake@gmail.com>  Tue, 27 Mar 2018 19:02:45 +0200
