=== debian/control ===
--- 
+++ 
@@ -8,34 +8,36 @@
                gettext,
                python3-all,
                python3-pytest,
-               python3-uranium (>=3.1.0),
-               uranium-tools (>=3.1.0)
-Standards-Version: 4.1.3
+               python3-uranium (>=3.3.0), python3-uranium (<<3.4),
+               uranium-tools (>=3.3.0), uranium-tools (<<3.4)
+Standards-Version: 4.1.4
 X-Python3-Version: >= 3.5
 Section: misc
 Homepage: https://github.com/Ultimaker/Cura
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura
+Vcs-Git: https://salsa.debian.org/3dprinting-team/cura.git
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>=1:3.1.0),
+Depends: cura-engine (>=1:3.3.0), cura-engine (<<1:3.4),
          fonts-open-sans,
          python3-pyqt5,
          python3-pyqt5.qtopengl,
-         python3-savitar (>=3.1.0),
+         python3-savitar (>=3.3.0),
          python3-serial,
-         python3-uranium (>=3.1.0),
+         python3-uranium (>=3.3.0), python3-uranium (<<3.4),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
          qml-module-qtquick-dialogs,
-         uranium-plugins (>=3.1.0),
+         uranium-plugins (>=3.3.0), uranium-plugins (<<3.4),
+         fdm-materials (>=3.3.0), fdm-materials (<<3.4),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: fdm-materials (>=3.1.0), python3-zeroconf
+Recommends: python3-zeroconf
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers
