=== debian/changelog ===
cura (4.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * Require at least PyQt 5.10 to address upstream bug
    https://github.com/Ultimaker/Cura/issues/4080

  [ Christoph Berg ]
  * New upstream version. (Closes: #917108)
    + Fixes screen rendering. (Closes: #947151)
    + Compatible with python3-stl. (Closes: #904919)
  * Remove patches 1020-depend-latest-python3 and
    1030-fix-appstream-xml, applied upstream.
  * Add new dependencies python3-requests and python3-shapely.
  * Remove ancient X-Python3-Version field with version 3.5.
  * Disable calling-home telemetry by default.
  * Build-depend on python3-all-dev so cmake finds python.
  * Copy-edit package description.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 22:17:19 +0100
