=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: cmake (>=2.8.12),
               debhelper (>= 10),
               dh-python,
               gettext,
               python3-all-dev,
               python3-pytest,
               python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
               uranium-tools (>= 4.4.0), uranium-tools (<< 4.5)
Standards-Version: 4.5.0
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura
Vcs-Git: https://salsa.debian.org/3dprinting-team/cura.git

Package: cura
Architecture: all
Depends: cura-engine (>= 1:4.4.0), cura-engine (<< 1:4.5),
         fonts-open-sans,
         python3-pyqt5 (>=5.10),
         python3-pyqt5.qtopengl (>=5.10),
         python3-requests,
         python3-savitar (>= 4.4.0),
         python3-serial,
         python3-shapely,
         python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         uranium-plugins (>= 4.4.0), uranium-plugins (<< 4.5),
         fdm-materials (>= 4.4.0), fdm-materials (<< 4.5),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-zeroconf
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models (.stl and other formats) into printing
 instructions (G-code) for your 3D printer. It cuts the model into horizontal
 slices (layers), generates toolpaths to fill them and calculates the amount of
 material to be extruded.
 .
 Cura is easy to use for novices and provides over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provides a graphical user interface.  For batch mode, check out
 cura-engine.
