=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 export DH_VERBOSE = 1
 include /usr/share/dpkg/pkg-info.mk
 # Suppress __pycache__ pollution
@@ -9,7 +7,7 @@
 DEB_URANIUM_DIR ?= /usr/share/uranium
 
 %:
-	dh $@ --buildsystem=cmake --with python3 --parallel
+	dh $@ --buildsystem=cmake --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DURANIUM_DIR=$(DEB_URANIUM_DIR) -DCURA_VERSION=$(DEB_VERSION_UPSTREAM)
