=== debian/changelog ===
cura (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add dependency on python3-charon.
  * Relax some dependencies to be less specific for easier upgrades.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2020 12:14:08 +0100
