## cura 4.6.2

=== debian/changelog ===
cura (4.6.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.
  * Don't ignore testsuite failures.
  * Install missing test dependencies.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Aug 2020 13:09:01 +0200
