=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: cmake (>=2.8.12),
-               debhelper (>= 10),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper-compat (= 12),
                dh-python,
                gettext,
+               mypy,
                python3-all-dev,
+               python3-certifi,
+               python3-cryptography,
                python3-pytest,
+               python3-requests,
+               python3-savitar,
+               python3-shapely,
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -18,9 +24,11 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.5.0), cura-engine (<< 1:4.6),
+Depends: cura-engine (>= 1:4.6.0), cura-engine (<< 1:4.7),
          fonts-open-sans,
+         python3-certifi,
          python3-charon,
+         python3-cryptography,
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
