=== debian/changelog ===
cura (4.7.1-2ubuntu1) hirsute; urgency=medium

  * d/p/0000-mypy-test-fix.patch: Fix FTBFS on hirsute due to missing cast.
  Thanks to Bryce Harrington for pointers on finding the fix.
  (LP: #1908134)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 14 Dec 2020 16:08:57 -0500

cura (4.7.1-2) unstable; urgency=medium

  * Bump cura-engine dependency to 4.7.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Sep 2020 22:11:25 +0200

cura (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.
  * Create debian/home/.local/share/UM so the upgrade tests don't see it
    missing.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Sep 2020 10:50:50 +0200
