=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: cura
 Priority: optional
-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+           Christoph Berg <myon@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 12),
                dh-python,
@@ -24,7 +26,7 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.6.0), cura-engine (<< 1:4.7),
+Depends: cura-engine (>= 1:4.7), cura-engine (<< 1:4.8),
          fonts-open-sans,
          python3-certifi,
          python3-charon,
