=== requirements.txt ===
colorlog
mypy==0.740
PyQt5==5.10
numpy==1.15.4
scipy==1.2.0
shapely[vectorized]==1.6.4.post2
appdirs==1.4.3
certifi==2019.11.28
cffi==1.13.1
chardet==3.0.4
cryptography==2.8
decorator==4.4.0
idna==2.8
netifaces==0.10.9
networkx==2.3
numpy-stl==2.10.1
packaging==18.0
pycollada==0.6
pycparser==2.19
pyparsing==2.4.2
pyserial==3.4
pytest
python-dateutil==2.8.0
python-utils==2.3.0
requests==2.22.0
sentry-sdk==0.13.5
six==1.12.0
trimesh==3.2.33
typing==3.7.4
twisted==19.10.0
urllib3==1.25.6
PyYAML==5.1.2
zeroconf==0.24.1
comtypes==1.1.7
