=== debian/changelog ===
cura (4.8-5) unstable; urgency=medium

  * Add patch for python3-zeroconf incompatiblity (closes: #999335)

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Nov 2021 17:53:20 +0100

cura (4.8-4) unstable; urgency=medium

  * Fix Python 3.9 incompatibility issue (upstream PR #9105,
    closes: #985585)
  * Added missing metadata license

 -- Gregor Riepl <onitake@gmail.com>  Sat, 20 Mar 2021 14:20:06 +0100

cura (4.8-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Force QT_QUICK_CONTROLS_STYLE=default.
    (Backport upstream PR #7139, closes: #956811)

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 22:12:43 +0100

cura (4.8-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Disable code-style unit test. (Works around and closes: #980603)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 17:28:48 +0100

cura (4.8-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fix for failing mypy unit test. Closes: #973230

  [ Christoph Berg ]
  * debian/watch: Handle -beta releases.
  * New upstream version 4.8.
    + Wizard works now. (Closes: #975705, #975836)
  * Bump dependencies on cura-engine, savitar, and uranium to 4.8.

  [ Sergio Durigan Junior ]
  * Fix failures during make check due to PyCapsule_GetPointer race.
    - d/p/0005-Fix-PyCapsule_GetPointer-error-when-running-tests.patch
    - d/p/0006-More-fixes-for-PyCapsule_GetPointer-race-condition.patch

 -- Christoph Berg <myon@debian.org>  Sun, 20 Dec 2020 22:31:31 +0100
