=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cura
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>,
            Christoph Berg <myon@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
@@ -16,6 +15,7 @@
                python3-requests,
                python3-savitar,
                python3-shapely,
+               python3-pynest2d,
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -26,7 +26,7 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.7), cura-engine (<< 1:4.8),
+Depends: cura-engine (>= 1:4.8), cura-engine (<< 1:4.9),
          fonts-open-sans,
          python3-certifi,
          python3-charon,
@@ -34,22 +34,23 @@
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
-         python3-savitar (>= 4.5.0),
+         python3-savitar (>= 4.8),
          python3-serial,
          python3-shapely,
-         python3-uranium (>= 4.5.0),
+         python3-pynest2d,
+         python3-uranium (>= 4.8),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
          qml-module-qtquick-controls2,
          qml-module-qtquick-dialogs,
-         uranium-plugins (>= 4.5.0),
+         uranium-plugins (>= 4.8),
          fdm-materials,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-zeroconf
+Recommends: python3-zeroconf (>= 0.28)
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers
