=== requirements.txt ===
appdirs==1.4.3
certifi==2019.11.28
cffi==1.14.1
chardet==3.0.4
colorlog
comtypes==1.1.7
cryptography==3.4.8
decorator==4.4.0
idna==2.8
importlib-metadata==3.7.2
keyring==23.0.1
lxml==4.6.3
mypy==0.740
netifaces==0.10.9
networkx==2.6.2
numpy==1.20.2
numpy-stl==2.10.1
packaging==18.0
pycollada==0.6
pycparser==2.20
pyparsing==2.4.2
PyQt5==5.15.2
PyQt5-sip==12.8.1
pyserial==3.4
pytest
python-dateutil==2.8.0
python-utils==2.3.0
pywin32==301
requests==2.22.0
scipy==1.6.2
sentry-sdk==0.13.5
shapely[vectorized]==1.8.0
six==1.12.0
trimesh==3.2.33
twisted==21.2.0
typing
urllib3==1.25.9
zeroconf==0.31.0
