=== debian/changelog ===
cura (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0.
  * Add new dependencies python3-keyring and python3-sentry-sdk.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jan 2022 12:03:00 +0100
