=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python3-all-dev,
                python3-certifi,
                python3-cryptography,
+               python3-keyring,
                python3-pytest,
                python3-requests,
                python3-savitar,
                python3-shapely,
-               python3-pynest2d,
+               python3-pynest2d (>= 4.13~),
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -26,18 +27,20 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.8), cura-engine (<< 1:4.9),
+Depends: cura-engine (>= 1:4.13), cura-engine (<< 1:4.14),
          fonts-open-sans,
          python3-certifi,
          python3-charon,
          python3-cryptography,
+         python3-keyring,
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
          python3-savitar (>= 4.8),
+         python3-sentry-sdk,
          python3-serial,
          python3-shapely,
-         python3-pynest2d,
+         python3-pynest2d (>= 4.13~),
          python3-uranium (>= 4.8),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
