=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 	find -name __pycache__ -print0 | xargs -0 rm -rf
 
 override_dh_auto_test:
-	mkdir -p debian/home
+	mkdir -p debian/home/.local/share/UM
 	HOME=$(CURDIR)/debian/home dh_auto_test
